<?php
/**
* The template for displaying the footer
*
* @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
*
* @package GridBit WordPress Theme
* @copyright Copyright (C) 2023 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/
?>

</div>

</div><!--/#gridbit-content-wrapper -->
</div><!--/#gridbit-wrapper -->

<?php gridbit_bottom_wide_widgets(); ?>

<?php if ( 'before-footer' === gridbit_secondary_menu_location() ) { ?><?php gridbit_secondary_menu_area(); ?><?php } ?>

<?php gridbit_before_footer(); ?>

<?php if ( !(gridbit_hide_footer_widgets()) ) { ?>
<?php if ( is_active_sidebar( 'gridbit-footer-1' ) || is_active_sidebar( 'gridbit-footer-2' ) || is_active_sidebar( 'gridbit-footer-3' ) || is_active_sidebar( 'gridbit-top-footer' ) || is_active_sidebar( 'gridbit-bottom-footer' ) ) : ?>
<div class='gridbit-clearfix' id='gridbit-footer-blocks' itemscope='itemscope' itemtype='http://schema.org/WPFooter' role='contentinfo'>
<div class='gridbit-container gridbit-clearfix'>
<div class="gridbit-outer-wrapper">

<?php if ( is_active_sidebar( 'gridbit-top-footer' ) ) : ?>
<div class='gridbit-clearfix'>
<div class='gridbit-top-footer-block'>
<?php dynamic_sidebar( 'gridbit-top-footer' ); ?>
</div>
</div>
<?php endif; ?>

<?php if ( is_active_sidebar( 'gridbit-footer-1' ) || is_active_sidebar( 'gridbit-footer-2' ) || is_active_sidebar( 'gridbit-footer-3' ) ) : ?>
<div class='gridbit-footer-block-cols gridbit-clearfix'>

<div class="gridbit-footer-block-col gridbit-footer-3-col" id="gridbit-footer-block-1">
<?php dynamic_sidebar( 'gridbit-footer-1' ); ?>
</div>

<div class="gridbit-footer-block-col gridbit-footer-3-col" id="gridbit-footer-block-2">
<?php dynamic_sidebar( 'gridbit-footer-2' ); ?>
</div>

<div class="gridbit-footer-block-col gridbit-footer-3-col" id="gridbit-footer-block-3">
<?php dynamic_sidebar( 'gridbit-footer-3' ); ?>
</div>

</div>
<?php endif; ?>

<?php if ( is_active_sidebar( 'gridbit-bottom-footer' ) ) : ?>
<div class='gridbit-clearfix'>
<div class='gridbit-bottom-footer-block'>
<?php dynamic_sidebar( 'gridbit-bottom-footer' ); ?>
</div>
</div>
<?php endif; ?>

</div>
</div>
</div><!--/#gridbit-footer-blocks-->
<?php endif; ?>
<?php } ?>

<?php if ( 'after-footer' === gridbit_secondary_menu_location() ) { ?><?php gridbit_secondary_menu_area(); ?><?php } ?>

<?php gridbit_after_footer(); ?>

<div class='gridbit-clearfix' id='gridbit-copyright-area'>
<div class='gridbit-copyright-area-inside gridbit-container'>
<div class="gridbit-outer-wrapper">
<div class='gridbit-copyright-area-inside-content gridbit-clearfix'>

<?php if ( gridbit_get_option('footer_text') ) : ?>
  <p class='gridbit-copyright'><?php echo wp_kses_post( force_balance_tags( gridbit_get_option('footer_text') ) ); ?></p>
<?php else : ?>
  <p class='gridbit-copyright'><?php /* translators: %s: Year and site name. */ printf( esc_html__( 'Copyright &copy; %s', 'gridbit' ), esc_html(date_i18n(__('Y','gridbit'))) . ' ' . esc_html(get_bloginfo( 'name' ))  ); ?></p>
<?php endif; ?>
<p class='gridbit-credit'><a href="<?php echo esc_url( 'https://themesdna.com/' ); ?>"><?php /* translators: %s: Theme author. */ printf( esc_html__( 'Design by %s', 'gridbit' ), 'ThemesDNA.com' ); ?></a></p>

</div>
</div>
</div>
</div><!--/#gridbit-copyright-area -->

<?php if ( gridbit_is_backtotop_active() ) { ?><button class="gridbit-scroll-top" title="<?php esc_attr_e('Scroll to Top','gridbit'); ?>"><i class="fas fa-arrow-up" aria-hidden="true"></i><span class="gridbit-sr-only"><?php esc_html_e('Scroll to Top', 'gridbit'); ?></span></button><?php } ?>

<?php wp_footer(); ?>
</div>
</body>
</html>